This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 620990 - Review Request: itools - Command line tools for The Islamic Tools and Libraries Project
Review Request: itools - Command line tools for The Islamic Tools and Librari...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 431186 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 18:02 EDT by Tajidin Abdullah
Modified: 2010-08-13 13:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 13:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch to display ipraytime in UTF-8 (1.54 KB, patch)
2010-08-06 15:21 EDT, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Tajidin Abdullah 2010-08-03 18:02:51 EDT
Spec URL: http://tajidinabd.fedorapeople.org/itools/itools.spec
SRPM URL: http://tajidinabd.fedorapeople.org/itools/itools-1.0-1.fc13.src.rpm
Description: The Islamic Tools and Libraries (ITL) is a project
to provide a plethora of useful Islamic tools and
applications as well as a comprehensive feature-full
Islam-centric library. The ITL project currently
includes Hijri date, Muslim prayer times, and Qibla.


I want to note this is my first package and i am seeking a sponsor
Comment 1 Tajidin Abdullah 2010-08-03 18:45:58 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Mamoru TASAKA 2010-08-06 15:21:08 EDT
Created attachment 437243 [details]
Patch to display ipraytime in UTF-8

Some notes:

* SourceURL
  - For sourceforge hosted tarball, please follow:
    https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net

* BuildRoot
  - is no longer needed on Fedora and EPEL6:
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* Version specific BR (BuildRequires)
  - ">= 0.7.0" part on "BR: libitl-devel" is not needed because
    libitl-devel on all supported Fedora branches support this
    version.
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

* Calling autotools
  - Why do you execute autogen.sh although configure or so already
    exists in the tarball?
    (By the way, if there is some reason you want to execute autogen.sh,
    at least "BR: autoconf" is needed).

* Documents
  - Including license text (in this case "COPYING" file) is mandatory
    (if exists)
  - Also including "README" as %doc is preferred.

* ISO-8859-1 -> UTF-8
  - By the way, $ ipraytime returns:
------------------------------------------------------------------
$ ipraytime 

Prayer schedule for,
 City             : Makkah
 Latitude         : 021� 25' 14" N
 Longitude        : 039� 49' 49" E
 Angle Method     : Umm Al-Qurra University
 TimeZone         : UTC+3.0
 Qibla            : 067� 26' 21" W of true North
-------------------------------------------------------------------
    Some characters are under ISO-8859-1 and they are displayed
    in garbage characters.
    Please consider to apply the attached patch to make ipraytime
    displayed in UTF-8.
Comment 3 Tajidin Abdullah 2010-08-06 15:33:22 EDT
alright thank you for the comments and review i will take a look at these fixes.
Comment 4 Tajidin Abdullah 2010-08-06 17:24:17 EDT
I verified the URL in regards to Sourceforge the one I have in the original .spec file is the only valid one. The one specified in accordance with Fedora does not apply to this project. Also if you notice in the README you will see the instructions clearly say to run the autogen.sh, then configure, then make. I have an updated spec file along with a new srpm

Spec URL: http://tajidinabd.fedorapeople.org/itools/itools.spec 
SRPM URL: http://tajidinabd.fedorapeople.org/itools/itools-1.0-2.fc13.src.rpm


Thank you for your time in this matter have a good day
Comment 5 Tajidin Abdullah 2010-08-07 01:41:45 EDT
Also i would like to add i made further changes to my spec file. Then i ran on koji and did a scratch build. I did not post my new spec file yet i wanted you to see the changes i made according to your instructions. Take a look at this link to my scratch build on koji.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2386735

if you check the build log you will see i was successful to build it there. So i thank you for your time.
Comment 6 Mamoru TASAKA 2010-08-07 03:57:50 EDT
(In reply to comment #5)
> Also i would like to add i made further changes to my spec file. Then i ran on
> koji and did a scratch build. I did not post my new spec file yet i wanted you
> to see the changes i made according to your instructions. Take a look at this
> link to my scratch build on koji.
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2386735

If you are using revised spec file / srpm, please post the new
URLs for them (othervise I cannot check them. When new srpm is
posted, I try scratch build anyway).

Some notes:

(In reply to comment #4)
> I verified the URL in regards to Sourceforge the one I have in the original
> .spec file is the only valid one. 

http://downloads.sourceforge.net/arabeyes/itools-1.0.tar.gz
works so please use this.

> Also if you notice in the README you will see
> the instructions clearly say to run the autogen.sh, then configure, then make.

If this is the only reason you call autogen.sh, then it is not
needed. autogen.sh must be called if configure really has to be
regenereated from configure.{in,ac}.
Unless there is a real reason why autotools must be called, please use
the included configure.
Comment 7 Mamoru TASAKA 2010-08-07 03:58:38 EDT
By the way, please change the release number when you changed your spec
file to avoid confusion.
Comment 8 Tajidin Abdullah 2010-08-07 05:11:05 EDT
Yes i have a new spec file and SRPM

Spec URL: http://tajidinabd.fedorapeople.org/itools/itools.spec
Srpm URL: http://tajidinabd.fedorapeople.org/itools/itools-1.0-3.fc13.src.rpm

please not any errors thank you
Comment 9 Mamoru TASAKA 2010-08-07 12:27:19 EDT
Well,

* -3 doesn't build
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2387135

* Using %{name}, %{version} in source URL is preferred. ref:
  https://fedoraproject.org/wiki/Packaging/SourceURL#Using_.25.7Bversion.7D

* BuildRoot
  - Again on Fedora (and EPEL6) BuildRoot tag is no longer needed.
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* Parallel make support
  - You seem to have removed parallel make support, but unless there is
    a reason please don't remove it.
    https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
Comment 10 Tajidin Abdullah 2010-08-07 13:37:04 EDT
Spec URL: http://tajidinabd.fedorapeople.org/itools/itools.spec
Srpm URL: http://tajidinabd.fedorapeople.org/itools/itools-1.0-5.fc13.src.rpm

Successfully built for both arch on koji by adding the Build Requires libitl-devel

http://koji.fedoraproject.org/koji/taskinfo?taskID=2387248



when the build require libitl-devel is not added both builds fail as you seen in your case also. 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2387135



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Mamoru TASAKA 2010-08-07 15:28:20 EDT
Okay, more two things (I overlooked previously...)

* Timestamps
-------------------------------------------------------------
install -m 644 doc/* $RPM_BUILD_ROOT%{_mandir}/man1
-------------------------------------------------------------
  - Please add "-p" option for install command to keep timestamps
    on installed files:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

* %changelog
-------------------------------------------------------------
* Sat Aug 07 2010 Tajidin Abd <tajidinabd@archlinux.us> itools-1.0-5
-------------------------------------------------------------
  - Remove redundant "itools-" part. ref:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 12 Tajidin Abdullah 2010-08-07 16:46:34 EDT
Corrections made to the two final points you made

Spec Url: http://tajidinabd.fedorapeople.org/itools/itools.spec
Srpm Url: http://tajidinabd.fedorapeople.org/itools/itools-1.0-6.fc13.src.rpm



Successful build on koji with latest spec file
http://koji.fedoraproject.org/koji/taskinfo?taskID=2387467



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Mamoru TASAKA 2010-08-08 12:46:01 EDT
Okay, now approving.

-------------------------------------------------------------
    This package (itools) is APPROVED by mtasaka
-------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

Now I am sponsoring you.

If you want to import this package into Fedora 12/13/14, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

When using Fedora SCM system, please check below for reference:
http://fedoraproject.org/wiki/Using_Fedora_GIT

If you have questions, please ask me.

Removing NEEDSPONSOR.
Comment 14 Mamoru TASAKA 2010-08-08 12:46:26 EDT
*** Bug 431186 has been marked as a duplicate of this bug. ***
Comment 15 Tajidin Abdullah 2010-08-08 18:08:33 EDT
New Package SCM Request
=======================
Package Name: itools
Short Description: command line tools for The Islamic Tools and Libraries Project
Owners: tajidinabd
Branches: f12 f13 f14
InitialCC: tajidinabd
Comment 16 Kevin Fenzi 2010-08-09 13:30:21 EDT
Git done (by process-git-requests).
Comment 17 Mamoru TASAKA 2010-08-13 13:23:26 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.